@keyframes pan-right {
    0% {
        background-position: 0% 50%;
        background-size: 110%;
    }

    50% {
        background-position: 100% 50%;
        background-size: 110%;
    }
    100% {
        background-position: 0% 50%;
        background-size: 110%;
    }
}

@keyframes pan-left {
    0% {
        background-position: 100% 50%;
        background-size: 110%;
    }

    50% {
        background-position: 0% 50%;
        background-size: 110%;
    }
    100% {
        background-position: 100% 50%;
        background-size: 110%;
    }
}

@keyframes pan-down {
    0% {
        background-position: 50% 0%;
        background-size: 110%;
    }

    50% {
        background-position: 50% 100%;
        background-size: 110%;
    }
    100% {
        background-position: 50% 0%;
        background-size: 110%;
    }
}

@keyframes pan-up {
    0% {
        background-position: 50% 100%;
        background-size: 110%;
    }

    50% {
        background-position: 50% 0%;
        background-size: 110%;
    }
    100% {
        background-position: 50% 100%;
        background-size: 110%;
    }
}

@keyframes pan-zoom-in-right {
    0% {
        background-position: 0% 50%;
        background-size: 100%;
    }

    50% {
        background-position: 100% 50%;
        background-size: 120%;
    }
    100% {
        background-position: 0% 50%;
        background-size: 100%;
    }
}

@keyframes pan-zoom-in-left {
    0% {
        background-position: 100% 50%;
        background-size: 100%;
    }

    50% {
        background-position: 0% 50%;
        background-size: 120%;
    }
    100% {
        background-position: 100% 50%;
        background-size: 120%;
    }
}

@keyframes pan-zoom-in-down {
    0% {
        background-position: 50% 0%;
        background-size: 100%;
    }

    50% {
        background-position: 50% 100%;
        background-size: 120%;
    }
    100% {
        background-position: 50% 0%;
        background-size: 120%;
    }
}

@keyframes pan-zoom-in-up {
    0% {
        background-position: 50% 100%;
        background-size: 100%;
    }

    50% {
        background-position: 50% 0%;
        background-size: 120%;
    }
    100% {
        background-position: 50% 100%;
        background-size: 120%;
    }
}

@keyframes pan-zoom-out-right {
    0% {
        background-position: 0% 50%;
        background-size: 120%;
    }

    50% {
        background-position: 100% 50%;
        background-size: 120%;
    }
    100% {
        background-position: 0% 50%;
        background-size: 100%;
    }
}

@keyframes pan-zoom-out-left {
    0% {
        background-position: 100% 50%;
        background-size: 120%;
    }

    50% {
        background-position: 0% 50%;
        background-size: 100%;
    }
    100% {
        background-position: 100% 50%;
        background-size: 120%;
    }
}

@keyframes pan-zoom-out-down {
    0% {
        background-position: 50% 0%;
        background-size: 120%;
    }

    50% {
        background-position: 50% 100%;
        background-size: 100%;
    }
    100% {
        background-position: 50% 0%;
        background-size: 120%;
    }
}

@keyframes pan-zoom-out-up {
    0% {
        background-position: 50% 100%;
        background-size: 120%;
    }

    50% {
        background-position: 50% 0%;
        background-size: 100%;
    }
    100% {
        background-position: 50% 100%;
        background-size: 120%;
    }
}